{ config, ... }:
{
  home.preferXdgDirectories = true;

  xdg =
    let
      homeDir = config.home.homeDirectory;
    in
    {
      enable = true;

      cacheHome = "${homeDir}/.cache";
      configHome = "${homeDir}/.config";
      dataHome = "${homeDir}/.local/share";
      stateHome = "${homeDir}/.local/state";

      userDirs = {
        enable = true;
        createDirectories = true;

        desktop = "${homeDir}/desktop";
        documents = null;
        download = "${homeDir}/downloads";
        music = null;
        pictures = "${homeDir}/pictures";
        templates = null;
        videos = "${homeDir}/videos";
      };
    };
}
